Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart
Class StandardLegendItemLayout

    java.lang.Object
      org.jfree.chart.StandardLegendItemLayout

All Implemented Interfaces:
  LegendItemLayout

public class StandardLegendItemLayout
extends java.lang.Object
implements LegendItemLayout

A class for arranging legend items.

Field Summary
`static int` | `HORIZONTAL` Useful constant for horizontal orientation.
`static int` | `VERTICAL` Useful constant for vertical orientation.

Constructor Summary
`StandardLegendItemLayout(int orientation, double dimension)` Constructs a new layout class for legend items.

Method Summary
`void` | `layoutLegendItems(LegendItemCollection collection)` Performs a layout on the items in the collection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VERTICAL

    public static final int VERTICAL

  Useful constant for vertical orientation.

  See Also:
    Constant Field Values

### HORIZONTAL

    public static final int HORIZONTAL

  Useful constant for horizontal orientation.

  See Also:
    Constant Field Values

Constructor Detail

### StandardLegendItemLayout

    public StandardLegendItemLayout(int orientation,
                                    double dimension)

  Constructs a new layout class for legend items.

Parameters:
  `orientation` - the orientation of the layout (HORIZONTAL or VERTICAL).
  `dimension` - the constrained dimension.

Method Detail

### layoutLegendItems

    public void layoutLegendItems(LegendItemCollection collection)

  Performs a layout on the items in the collection.

  Specified by:
    `layoutLegendItems` in interface `LegendItemLayout`
  Parameters:
    `collection` - the collection to be laid out.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD